<?php
/**
 * Template part for displaying single posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Education_Hub
 */

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<?php $site_design = education_hub_get_option( 'site_design' ); ?>

	<?php
		if ( 'edification-hub' == $site_design ) {
			/**
			* Hook - education_hub_single_image.
			*
			* @hooked education_hub_add_image_in_single_display -  10
			*/
			do_action( 'education_hub_single_image' );
		}
	?>

	<header class="entry-header">
		<?php the_title( '<h1 class="entry-title">', '</h1>' ); ?>

		<div class="entry-meta">
			<?php education_hub_posted_on(); ?>
		</div><!-- .entry-meta -->
	</header><!-- .entry-header -->

	<div class="entry-content">
		<?php
			if ( 'edification-hub' !== $site_design ) {
				/**
				* Hook - education_hub_single_image.
				*
				* @hooked education_hub_add_image_in_single_display -  10
				*/
				do_action( 'education_hub_single_image' );
			}
		?>
		<?php the_content(); ?>
		<?php
			wp_link_pages( array(
				'before'      => '<div class="page-links"><span>' . esc_html__( 'Pages:', 'education-hub-pro' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
			) );
		?>
	</div><!-- .entry-content -->

	<footer class="entry-footer">
		<?php education_hub_entry_footer(); ?>
	</footer><!-- .entry-footer -->
	<?php
		/**
		 * Hook - education_hub_author_bio.
		 *
		 * @hooked education_hub_add_author_bio_in_single -  10
		 */
		do_action( 'education_hub_author_bio' );
	?>

</article><!-- #post-## -->

